com.example.labstatus.ui.SL2

## Class RecyclerViewAdapterSL2

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterSL2.ViewHolder>
  - - com.example.labstatus.ui.SL2.RecyclerViewAdapterSL2

-     public class RecyclerViewAdapterSL2
      extends androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterSL2.ViewHolder>

  Author:
    Area51

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RecyclerViewAdapterSL2.ItemListener`
    `class` | `RecyclerViewAdapterSL2.ViewHolder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isClickable`
    `(package private) android.content.Context` | `mContext`
    `protected RecyclerViewAdapterSL2.ItemListener` | `mListener`
    `(package private) java.util.ArrayList` | `mValues`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecyclerViewAdapterSL2(android.content.Context context, java.util.ArrayList values, RecyclerViewAdapterSL2.ItemListener itemListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getItemCount()`
    `void` | `onBindViewHolder(RecyclerViewAdapterSL2.ViewHolder holder, int position)`
    `RecyclerViewAdapterSL2.ViewHolder` | `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`

    - ### Methods inherited from class androidx.recyclerview.widget.RecyclerView.Adapter

      `bindViewHolder, createViewHolder, getItemId, getItemViewType, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isClickable

          public boolean isClickable

    - #### mContext

          android.content.Context mContext

    - #### mListener

          protected RecyclerViewAdapterSL2.ItemListener mListener

    - #### mValues

          java.util.ArrayList mValues

  - ### Constructor Detail

    - #### RecyclerViewAdapterSL2

          public RecyclerViewAdapterSL2(android.content.Context context,
                                        java.util.ArrayList values,
                                        RecyclerViewAdapterSL2.ItemListener itemListener)

  - ### Method Detail

    - #### getItemCount

          public int getItemCount()

      Specified by:
        `getItemCount` in class `androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterSL2.ViewHolder>`

    - #### onBindViewHolder

          public void onBindViewHolder(@NonNull
                                       RecyclerViewAdapterSL2.ViewHolder holder,
                                       int position)

      Specified by:
        `onBindViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterSL2.ViewHolder>`

    - #### onCreateViewHolder

          public RecyclerViewAdapterSL2.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                      int viewType)

      Specified by:
        `onCreateViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<RecyclerViewAdapterSL2.ViewHolder>`